import com.imsl.chart.*;
import java.awt.Color;

public class SampleFunction extends JFrameChart {

    public SampleFunction() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
  
        ChartFunction sinc = new ChartFunction() {
            public double f(double x) {
                if (x == 0.0) return 1.0;
                return Math.sin(Math.PI*x) / (Math.PI*x);
            }
        };
        Data data = new Data(axis, sinc, -10.0, 10.0);
        data.setLineColor(Color.blue);
    }
    
    public static void main(String argv[]) {
        new SampleFunction().setVisible(true);
    }
}